//
//  PQStuckPointTimesModel.swift
//  PQSpeed
//
//  Created by SanW on 2021/5/8.
//  Copyright © 2021 BytesFlow. All rights reserved.
//

import UIKit

public class PQStuckPointTimesModel: NSObject {
    public var rhythmType: Int = 0 // 卡点类型
    public var pointTimes: [Int64] = Array<Int64>.init() // 卡点时间-单位：微秒

    override init() {
        super.init()
    }

    public init(jsonDict: [String: Any]) {
        super.init()
        if jsonDict.keys.contains("rhythmType") {
            rhythmType = Int("\(jsonDict["rhythmType"] ?? "0")") ?? 0
        }
        if jsonDict.keys.contains("pointTimes") {
            pointTimes = (jsonDict["pointTimes"] as? [Int64]) ?? []
        }
    }
}
